package org.zheng.demo.subselect;

import java.math.BigDecimal;

import org.hibernate.annotations.Immutable;
import org.hibernate.annotations.Subselect;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;

@Entity
@Immutable
@Subselect("select t_customer.id id, t_customer.name name, a.total total " + "from t_customer ,"
		+ "( select c.id, sum(o.amount) total " + "from t_customer c, t_order o " + "where  c.id = o.cust_id "
		+ "group by c.id " + ") a where a.id = t_customer.id")
public class CustomerOrder {

	@Id
	@Column(name = "id")
	private Long id;

	@Column(name = "name")
	private String customerName;

	@Column(name = "total")
	private BigDecimal totalOrderAmount;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCustomerName() {
		return customerName;
	}

	public void setCustomerName(String customerName) {
		this.customerName = customerName;
	}

	public BigDecimal getTotalOrderAmount() {
		return totalOrderAmount;
	}

	public void setTotalOrderAmount(BigDecimal totalOrderAmount) {
		this.totalOrderAmount = totalOrderAmount;
	}

}
